Bug 446285 - USB Peripherals don't work after system suspend
USB Peripherals don't work after system suspend
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 17:59 EDT by Damien Schoof
Modified: 2008-06-30 05:31 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.6.25.6-27.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 05:31:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damien Schoof 2008-05-13 17:59:48 EDT
Description of problem:
After I have suspended and then resumed my system, a number of usb peripherals
aren't detected, such as a usb mouse and a usb printer.  My usb flash drive is
still detected and working, and if the mouse was plugged into the laptop before
the suspend (and I don't pull it out during resume) then it works as well, but
if not, then there is no way to make it work.  I have tried restarting haldaemon
and d-bus, but these didn't help with the problem, and I don't know what other
services to try.

Version-Release number of selected component (if applicable):


How reproducible:
Always happens after I suspend and then resume on my laptop.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Zeuthen 2008-05-13 19:07:08 EDT
-> kernel
Comment 2 Damien Schoof 2008-06-02 20:43:03 EDT
Bug still present in 2.6.24.7-92 release of kernel.  Here is some further
information (gets a little bit complicated):
- When I start my laptop up for the first time, everything works alright - all
peripherals connect fine, disconnect fine, and reconnect fine.
- If I then suspend my computer with a usb mouse still attached, this mouse will
work when I resume my session later on (i.e. will have power, light up, and move
the cursor, etc)
- If I don't have the mouse plugged in when I suspend, then when I resume, it
won't work any more, even if I plug it back in before I resume (i.e. mouse won't
have any power, won't light up, can't move cursor, etc.)
- If the mouse didn't power up after my first suspend / resume, I can't get it
to work again until I restart my whole computer.

A similar thing happens with almost all other usb devices (if they aren't
plugged in when i suspend, they don't work after I resume).  The only exception
to this is my usb flash drives, which still work any way, no matter what.  

BTW, not sure if this is related, but I notice that my NetworkManager also
crashes after a suspend / resume and needs to be restarted to work again
properly (if it isn't related, I will delete this part and file a seperate bug).

Note You need to log in before you can comment on or make changes to this bug.